Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Interface UnaryOperatorNode

All Superinterfaces:
  OperatorNode

All Known Implementing Classes:
  AbstractNullnessCheckNode, IsNotNullLogicOperatorNode, IsNullLogicOperatorNode, UnaryArithmeticNode, UnaryLogicOperatorNode

    public interface UnaryOperatorNode

extends OperatorNode

Contract for nodes representing unary operators.

Method Summary
`Node` | `getOperand()` Retrievs the node representing the operator's single operand.

Methods inherited from interface org.hibernate.hql.internal.ast.tree.OperatorNode
`getDataType, initialize`

Method Detail

### getOperand

    Node getOperand()

  Retrievs the node representing the operator's single operand.

  Returns:
    The operator's single operand.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.